Summary: A Library for doing Number Theory
Name: NTL
Version: 5.3.2
Release: 1.PU_IAS.1
URL: http://www.shoup.net/ntl/
Source: http://www.shoup.net/ntl/ntl-%{version}.tar.gz
Copyright: LGPL 
Group: Scientific/Libraries
Packager: Josko Plazonic <plazonic@math.princeton.edu>
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/NTL-root
Requires: gmp gmp-devel
BuildRequires: gmp gmp-devel

%description
NTL is a high-performance, portable C++ library providing data 
structures and algorithms for arbitrary length integers; for vectors, 
matrices, and polynomials over the integers and over finite fields; 
and for arbitrary precision floating point arithmetic. 

%prep
%setup -q -n ntl-%{version}

%build
cd src
./configure PREFIX=%{_prefix} NTL_GMP_LIP=on
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
# mkdir -p ${RPM_BUILD_ROOT}/usr/local/lib
# mkdir -p ${RPM_BUILD_ROOT}/usr/local/include/NTL
# cp src/ntl.a ${RPM_BUILD_ROOT}/usr/local/lib
# cp include/NTL/*.h ${RPM_BUILD_ROOT}/usr/local/include/NTL
# chmod a+r,a-x ${RPM_BUILD_ROOT}/usr/local/include/NTL/*
cd src
make install PREFIX=${RPM_BUILD_ROOT}/%{_prefix} LIBDIR=${RPM_BUILD_ROOT}/%{_prefix}/%{_lib}
rm -f ${RPM_BUILD_ROOT}/usr/doc/NTL/*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README doc/*
%{_prefix}/%{_lib}/*
%{_prefix}/include/NTL

%changelog
* Sun Dec 02 2001 Josko Plazonic <plazonic@math.princeton.edu>
- upgrade to version 5.2 and adaptation to RedHat 7.2

* Wed Nov 08 2000 Josko Plazonic <plazonic@math.princeton.edu>
- first build
